aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-core-ivi/busybox/files
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-core-ivi/busybox/files')
-rwxr-xr-x[-rw-r--r--]recipes-core-ivi/busybox/files/busybox-cron78
-rwxr-xr-x[-rw-r--r--]recipes-core-ivi/busybox/files/busybox-httpd88
-rwxr-xr-x[-rw-r--r--]recipes-core-ivi/busybox/files/busybox-udhcpc50
-rwxr-xr-x[-rw-r--r--]recipes-core-ivi/busybox/files/busybox-udhcpd86
-rw-r--r--recipes-core-ivi/busybox/files/default.script8
-rw-r--r--recipes-core-ivi/busybox/files/find-touchscreen.sh18
-rw-r--r--recipes-core-ivi/busybox/files/hwclock.sh82
-rwxr-xr-x[-rw-r--r--]recipes-core-ivi/busybox/files/mdev14
-rw-r--r--recipes-core-ivi/busybox/files/mdev.conf70
-rwxr-xr-x[-rw-r--r--]recipes-core-ivi/busybox/files/mount.busybox6
-rw-r--r--recipes-core-ivi/busybox/files/simple.script72
-rw-r--r--recipes-core-ivi/busybox/files/syslog77
-rw-r--r--recipes-core-ivi/busybox/files/syslog-startup.conf26
-rwxr-xr-x[-rw-r--r--]recipes-core-ivi/busybox/files/umount.busybox6
14 files changed, 456 insertions, 225 deletions
diff --git a/recipes-core-ivi/busybox/files/busybox-cron b/recipes-core-ivi/busybox/files/busybox-cron
index ffc5c5f..f0e6b15 100644..100755
--- a/recipes-core-ivi/busybox/files/busybox-cron
+++ b/recipes-core-ivi/busybox/files/busybox-cron
@@ -1,39 +1,39 @@
-#!/bin/sh
-DAEMON=/usr/sbin/crond
-NAME=crond
-DESC="Busybox Periodic Command Scheduler"
-ARGS="-c /etc/cron/crontabs"
-
-test -f $DAEMON || exit 0
-
-set -e
-
-case "$1" in
- start)
- echo -n "starting $DESC: $NAME... "
- start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
- echo "done."
- ;;
- stop)
- echo -n "stopping $DESC: $NAME... "
- start-stop-daemon -K -n $NAME
- echo "done."
- ;;
- restart)
- echo -n "restarting $DESC: $NAME... "
- $0 stop
- $0 start
- echo "done."
- ;;
- reload)
- echo -n "reloading $DESC: $NAME... "
- killall -HUP $(basename ${DAEMON})
- echo "done."
- ;;
- *)
- echo "Usage: $0 {start|stop|restart|reload}"
- exit 1
- ;;
-esac
-
-exit 0
+#!/bin/sh
+DAEMON=/usr/sbin/crond
+NAME=crond
+DESC="Busybox Periodic Command Scheduler"
+ARGS="-c /etc/cron/crontabs"
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "starting $DESC: $NAME... "
+ start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
+ echo "done."
+ ;;
+ stop)
+ echo -n "stopping $DESC: $NAME... "
+ start-stop-daemon -K -n $NAME
+ echo "done."
+ ;;
+ restart)
+ echo -n "restarting $DESC: $NAME... "
+ $0 stop
+ $0 start
+ echo "done."
+ ;;
+ reload)
+ echo -n "reloading $DESC: $NAME... "
+ killall -HUP $(basename ${DAEMON})
+ echo "done."
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|reload}"
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/recipes-core-ivi/busybox/files/busybox-httpd b/recipes-core-ivi/busybox/files/busybox-httpd
index 2f41bba..c8348e5 100644..100755
--- a/recipes-core-ivi/busybox/files/busybox-httpd
+++ b/recipes-core-ivi/busybox/files/busybox-httpd
@@ -1,44 +1,44 @@
-#!/bin/sh
-DAEMON=/usr/sbin/httpd
-NAME=httpd
-DESC="Busybox HTTP Daemon"
-HTTPROOT="/srv/www"
-ARGS="-h $HTTPROOT"
-
-test -f $DAEMON || exit 0
-
-set -e
-
-case "$1" in
- start)
- echo -n "starting $DESC: $NAME... "
- if [ ! -d $HTTPROOT ]; then
- echo "$HTTPROOT is missing."
- exit 1
- fi
- start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
- echo "done."
- ;;
- stop)
- echo -n "stopping $DESC: $NAME... "
- start-stop-daemon -K -n $NAME
- echo "done."
- ;;
- restart)
- echo "restarting $DESC: $NAME... "
- $0 stop
- $0 start
- echo "done."
- ;;
- reload)
- echo -n "reloading $DESC: $NAME... "
- killall -HUP $(basename ${DAEMON})
- echo "done."
- ;;
- *)
- echo "Usage: $0 {start|stop|restart|reload}"
- exit 1
- ;;
-esac
-
-exit 0
+#!/bin/sh
+DAEMON=/usr/sbin/httpd
+NAME=httpd
+DESC="Busybox HTTP Daemon"
+HTTPROOT="/srv/www"
+ARGS="-h $HTTPROOT"
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "starting $DESC: $NAME... "
+ if [ ! -d $HTTPROOT ]; then
+ echo "$HTTPROOT is missing."
+ exit 1
+ fi
+ start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
+ echo "done."
+ ;;
+ stop)
+ echo -n "stopping $DESC: $NAME... "
+ start-stop-daemon -K -n $NAME
+ echo "done."
+ ;;
+ restart)
+ echo "restarting $DESC: $NAME... "
+ $0 stop
+ $0 start
+ echo "done."
+ ;;
+ reload)
+ echo -n "reloading $DESC: $NAME... "
+ killall -HUP $(basename ${DAEMON})
+ echo "done."
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|reload}"
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/recipes-core-ivi/busybox/files/busybox-udhcpc b/recipes-core-ivi/busybox/files/busybox-udhcpc
index 28ef9e1..2c43f8d 100644..100755
--- a/recipes-core-ivi/busybox/files/busybox-udhcpc
+++ b/recipes-core-ivi/busybox/files/busybox-udhcpc
@@ -1,25 +1,25 @@
-#!/bin/sh
-#
-# (c) 2010-2011 Wind River Systems, Inc.
-#
-# Busybox udhcpc init script
-#
-# script to start the udpchc DHCP client on boots where
-# the parameter 'ip=dhcp' was included in the kernel parameters
-
-# ensure the required binaries are present
-[ -x /sbin/udhcpc ] || exit 1
-[ -x /bin/grep ] || exit 1
-[ -x /bin/mount ] || exit 1
-
-# ensure /proc is mounted
-if ! mount | grep -q "/proc "; then
- exit 2
-fi
-
-rc=0
-if grep -q -E "\bip=dhcp\b" /proc/cmdline; then
- /sbin/udhcpc -D -s /usr/share/udhcpc/default.script
- rc=$?
-fi
-exit $rc
+#!/bin/sh
+#
+# (c) 2010-2011 Wind River Systems, Inc.
+#
+# Busybox udhcpc init script
+#
+# script to start the udpchc DHCP client on boots where
+# the parameter 'ip=dhcp' was included in the kernel parameters
+
+# ensure the required binaries are present
+[ -x /sbin/udhcpc ] || exit 1
+[ -x /bin/grep ] || exit 1
+[ -x /bin/mount ] || exit 1
+
+# ensure /proc is mounted
+if ! mount | grep -q "/proc "; then
+ exit 2
+fi
+
+rc=0
+if grep -q -E "\bip=dhcp\b" /proc/cmdline; then
+ /sbin/udhcpc -D -s /usr/share/udhcpc/default.script
+ rc=$?
+fi
+exit $rc
diff --git a/recipes-core-ivi/busybox/files/busybox-udhcpd b/recipes-core-ivi/busybox/files/busybox-udhcpd
index 2638b4d..c43903e 100644..100755
--- a/recipes-core-ivi/busybox/files/busybox-udhcpd
+++ b/recipes-core-ivi/busybox/files/busybox-udhcpd
@@ -1,43 +1,43 @@
-#!/bin/sh
-DAEMON=/usr/sbin/udhcpd
-NAME=udhcpd
-DESC="Busybox UDHCP Server"
-ARGS="/etc/udhcpd.conf"
-
-test -f $DAEMON || exit 1
-
-set -e
-
-case "$1" in
- start)
- echo -n "starting $DESC: $NAME... "
- if [ ! -f /etc/udhcpd.conf ]; then
- echo "error: /etc/udhcpd.conf is missing."
- exit 1
- fi
- /sbin/start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
- echo "done."
- ;;
- stop)
- echo -n "stopping $DESC: $NAME... "
- /sbin/start-stop-daemon -K -n $NAME
- echo "done."
- ;;
- restart)
- echo "restarting $DESC: $NAME... "
- $0 stop
- $0 start
- echo "done."
- ;;
- reload)
- echo -n "reloading $DESC: $NAME... "
- killall -HUP $(basename ${DAEMON})
- echo "done."
- ;;
- *)
- echo "Usage: $0 {start|stop|restart|reload}"
- exit 1
- ;;
-esac
-
-exit 0
+#!/bin/sh
+DAEMON=/usr/sbin/udhcpd
+NAME=udhcpd
+DESC="Busybox UDHCP Server"
+ARGS="/etc/udhcpd.conf"
+
+test -f $DAEMON || exit 1
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "starting $DESC: $NAME... "
+ if [ ! -f /etc/udhcpd.conf ]; then
+ echo "error: /etc/udhcpd.conf is missing."
+ exit 1
+ fi
+ /sbin/start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
+ echo "done."
+ ;;
+ stop)
+ echo -n "stopping $DESC: $NAME... "
+ /sbin/start-stop-daemon -K -n $NAME
+ echo "done."
+ ;;
+ restart)
+ echo "restarting $DESC: $NAME... "
+ $0 stop
+ $0 start
+ echo "done."
+ ;;
+ reload)
+ echo -n "reloading $DESC: $NAME... "
+ killall -HUP $(basename ${DAEMON})
+ echo "done."
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|reload}"
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/recipes-core-ivi/busybox/files/default.script b/recipes-core-ivi/busybox/files/default.script
index cfaa156..f2ac987 100644
--- a/recipes-core-ivi/busybox/files/default.script
+++ b/recipes-core-ivi/busybox/files/default.script
@@ -1,4 +1,4 @@
-#!/bin/sh
-
-exec run-parts -a "$1" /etc/udhcpc.d
-
+#!/bin/sh
+
+exec run-parts -a "$1" /etc/udhcpc.d
+
diff --git a/recipes-core-ivi/busybox/files/find-touchscreen.sh b/recipes-core-ivi/busybox/files/find-touchscreen.sh
index da7ceb6..1582ea8 100644
--- a/recipes-core-ivi/busybox/files/find-touchscreen.sh
+++ b/recipes-core-ivi/busybox/files/find-touchscreen.sh
@@ -1,9 +1,9 @@
-#!/bin/sh
-
-if [ `egrep "input:.*-e0.*,3,.*a0,1,.*18,.*" /sys/class/input/$MDEV/device/modalias|wc -l` -gt 0 ]; then
- ln -sf /dev/input/$MDEV /dev/input/touchscreen0
-fi
-
-if [ `egrep "ads7846" /sys/class/input/$MDEV/device/modalias|wc -l` -gt 0 ]; then
- ln -sf /dev/input/$MDEV /dev/input/touchscreen0
-fi
+#!/bin/sh
+
+if [ `egrep "input:.*-e0.*,3,.*a0,1,.*18,.*" /sys/class/input/$MDEV/device/modalias|wc -l` -gt 0 ]; then
+ ln -sf /dev/input/$MDEV /dev/input/touchscreen0
+fi
+
+if [ `egrep "ads7846" /sys/class/input/$MDEV/device/modalias|wc -l` -gt 0 ]; then
+ ln -sf /dev/input/$MDEV /dev/input/touchscreen0
+fi
diff --git a/recipes-core-ivi/busybox/files/hwclock.sh b/recipes-core-ivi/busybox/files/hwclock.sh
new file mode 100644
index 0000000..2e50425
--- /dev/null
+++ b/recipes-core-ivi/busybox/files/hwclock.sh
@@ -0,0 +1,82 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: hwclock
+# Required-Start:
+# Required-Stop: $local_fs
+# Default-Start: S
+# Default-Stop: 0 6
+# Short-Description: Set system clock
+# Description: Set system clock to hardware clock, according to the UTC
+# setting in /etc/default/rcS (see also rcS(5)).
+### END INIT INFO
+#
+# WARNING: If your hardware clock is not in UTC/GMT, this script
+# must know the local time zone. This information is
+# stored in /etc/localtime. This might be a problem if
+# your /etc/localtime is a symlink to something in
+# /usr/share/zoneinfo AND /usr isn't in the root
+# partition! The workaround is to define TZ either
+# in /etc/default/rcS, or in the proper place below.
+
+[ ! -x /sbin/hwclock ] && exit 0
+
+. /etc/default/rcS
+
+case "$1" in
+ start)
+ if [ "$VERBOSE" != no ]
+ then
+ echo "System time was `date`."
+ echo "Setting the System Clock using the Hardware Clock as reference..."
+ fi
+
+ if [ "$HWCLOCKACCESS" != no ]
+ then
+ if [ -z "$TZ" ]
+ then
+ hwclock --hctosys
+ else
+ TZ="$TZ" hwclock --hctosys
+ fi
+ fi
+
+ if [ "$VERBOSE" != no ]
+ then
+ echo "System Clock set. System local time is now `date`."
+ fi
+ ;;
+ stop|restart|reload|force-reload)
+ #
+ # Updates the Hardware Clock with the System Clock time.
+ # This will *override* any changes made to the Hardware Clock.
+ #
+ # WARNING: If you disable this, any changes to the system
+ # clock will not be carried across reboots.
+ #
+ if [ "$VERBOSE" != no ]
+ then
+ echo "Saving the System Clock time to the Hardware Clock..."
+ fi
+ if [ "$HWCLOCKACCESS" != no ]
+ then
+ hwclock --systohc
+ fi
+ if [ "$VERBOSE" != no ]
+ then
+ echo "Hardware Clock updated to `date`."
+ fi
+ exit 0
+ ;;
+ show)
+ if [ "$HWCLOCKACCESS" != no ]
+ then
+ hwclock --show
+ fi
+ ;;
+ *)
+ echo "Usage: hwclock.sh {start|stop|show|reload|restart}" >&2
+ echo " start sets kernel (system) clock from hardware (RTC) clock" >&2
+ echo " stop and reload set hardware (RTC) clock from kernel (system) clock" >&2
+ exit 1
+ ;;
+esac
diff --git a/recipes-core-ivi/busybox/files/mdev b/recipes-core-ivi/busybox/files/mdev
index 9e09287..4eba619 100644..100755
--- a/recipes-core-ivi/busybox/files/mdev
+++ b/recipes-core-ivi/busybox/files/mdev
@@ -1,7 +1,7 @@
-#!/bin/sh
-
-mount -t tmpfs tmpfs /dev -o size=64k,mode=0755
-mkdir /dev/pts /dev/shm
-mount -t devpts devpts /dev/pts
-echo "/sbin/mdev" > /proc/sys/kernel/hotplug
-mdev -s
+#!/bin/sh
+
+mount -t tmpfs tmpfs /dev -o size=64k,mode=0755
+mkdir /dev/pts /dev/shm
+mount -t devpts devpts /dev/pts
+echo "/sbin/mdev" > /proc/sys/kernel/hotplug
+mdev -s
diff --git a/recipes-core-ivi/busybox/files/mdev.conf b/recipes-core-ivi/busybox/files/mdev.conf
index 4b88660..0e1d6bc 100644
--- a/recipes-core-ivi/busybox/files/mdev.conf
+++ b/recipes-core-ivi/busybox/files/mdev.conf
@@ -1,35 +1,35 @@
-console 0:0 0600
-cpu_dma_latency 0:0 0660
-fb0:0 44 0660
-full 0:0 0666
-initctl 0:0 0600
-ircomm[0-9].* 0:20 0660
-kmem 0:15 0640
-kmsg 0:0 0660
-log 0:0 0666
-loop[0-9].* 0:6 0640
-mem 0:15 0640
-network_latency 0:0 0660
-network_throughput 0:0 0660
-null 0:0 0666
-port 0:15 0640
-ptmx 0:5 0666
-ram[0-9].* 0:6 0640
-random 0:0 0666
-sda 0:6 0640
-tty 0:5 0666
-tty.* 0:0 0620
-urandom 0:0 0666
-usbdev.* 0:0 0660 */etc/mdev/usb.sh
-vcs.* 0:5 0660
-zero 0:0 0666
-
-pcm.* 0:0 0660 =snd/
-control.* 0:0 0660 =snd/
-timer 0:0 0660 =snd/
-
-event.* 0:0 0660 =input/ @/etc/mdev/find-touchscreen.sh
-mice 0:0 0660 =input/
-mouse.* 0:0 0660 =input/
-
-tun[0-9]* 0:0 0660 =net/
+console 0:0 0600
+cpu_dma_latency 0:0 0660
+fb0:0 44 0660
+full 0:0 0666
+initctl 0:0 0600
+ircomm[0-9].* 0:20 0660
+kmem 0:15 0640
+kmsg 0:0 0660
+log 0:0 0666
+loop[0-9].* 0:6 0640
+mem 0:15 0640
+network_latency 0:0 0660
+network_throughput 0:0 0660
+null 0:0 0666
+port 0:15 0640
+ptmx 0:5 0666
+ram[0-9].* 0:6 0640
+random 0:0 0666
+sda 0:6 0640
+tty 0:5 0666
+tty.* 0:0 0620
+urandom 0:0 0666
+usbdev.* 0:0 0660 */etc/mdev/usb.sh
+vcs.* 0:5 0660
+zero 0:0 0666
+
+pcm.* 0:0 0660 =snd/
+control.* 0:0 0660 =snd/
+timer 0:0 0660 =snd/
+
+event.* 0:0 0660 =input/ @/etc/mdev/find-touchscreen.sh
+mice 0:0 0660 =input/
+mouse.* 0:0 0660 =input/
+
+tun[0-9]* 0:0 0660 =net/
diff --git a/recipes-core-ivi/busybox/files/mount.busybox b/recipes-core-ivi/busybox/files/mount.busybox
index d760f74..fef945b 100644..100755
--- a/recipes-core-ivi/busybox/files/mount.busybox
+++ b/recipes-core-ivi/busybox/files/mount.busybox
@@ -1,3 +1,3 @@
-#!/bin/sh
-
-exec /bin/busybox mount $@
+#!/bin/sh
+
+exec /bin/busybox mount $@
diff --git a/recipes-core-ivi/busybox/files/simple.script b/recipes-core-ivi/busybox/files/simple.script
new file mode 100644
index 0000000..5cc21b9
--- /dev/null
+++ b/recipes-core-ivi/busybox/files/simple.script
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# udhcpc script edited by Tim Riker <Tim@Rikers.org>
+
+[ -z "$1" ] && echo "Error: should be called from udhcpc" && exit 1
+
+RESOLV_CONF="/etc/resolv.conf"
+[ -n "$broadcast" ] && BROADCAST="broadcast $broadcast"
+[ -n "$subnet" ] && NETMASK="netmask $subnet"
+
+# return 0 if root is mounted on a network filesystem
+root_is_nfs() {
+ grep -qe '^/dev/root.*\(nfs\|smbfs\|ncp\|coda\) .*' /proc/mounts
+}
+
+have_bin_ip=0
+if [ -x /bin/ip ]; then
+ have_bin_ip=1
+fi
+
+case "$1" in
+ deconfig)
+ if ! root_is_nfs ; then
+ if [ $have_bin_ip -eq 1 ]; then
+ ip addr flush dev $interface
+ ip link set dev $interface up
+ else
+ /sbin/ifconfig $interface 0.0.0.0
+ fi
+ fi
+ ;;
+
+ renew|bound)
+ if [ $have_bin_ip -eq 1 ]; then
+ ip addr add dev $interface local $ip/$mask $BROADCAST
+ else
+ /sbin/ifconfig $interface $ip $BROADCAST $NETMASK
+ fi
+
+ if [ -n "$router" ] ; then
+ if ! root_is_nfs ; then
+ if [ $have_bin_ip -eq 1 ]; then
+ while ip route del default 2>/dev/null ; do
+ :
+ done
+ else
+ while route del default gw 0.0.0.0 dev $interface 2>/dev/null ; do
+ :
+ done
+ fi
+ fi
+
+ metric=0
+ for i in $router ; do
+ if [ $have_bin_ip -eq 1 ]; then
+ ip route add default via $i metric $((metric++))
+ else
+ route add default gw $i dev $interface metric $((metric++)) 2>/dev/null
+ fi
+ done
+ fi
+
+ echo -n > $RESOLV_CONF
+ [ -n "$domain" ] && echo search $domain >> $RESOLV_CONF
+ for i in $dns ; do
+ echo adding dns $i
+ echo nameserver $i >> $RESOLV_CONF
+ done
+ ;;
+esac
+
+exit 0
diff --git a/recipes-core-ivi/busybox/files/syslog b/recipes-core-ivi/busybox/files/syslog
new file mode 100644
index 0000000..2944d3d
--- /dev/null
+++ b/recipes-core-ivi/busybox/files/syslog
@@ -0,0 +1,77 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: sysklogd
+# Required-Start: $remote_fs $time
+# Required-Stop: $remote_fs $time
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: System logger
+### END INIT INFO
+
+set -e
+
+if [ -f /etc/syslog-startup.conf ]; then
+ . /etc/syslog-startup.conf
+ LOG_LOCAL=0
+ LOG_REMOTE=0
+ for D in $DESTINATION; do
+ if [ "$D" = "buffer" ]; then
+ SYSLOG_ARGS="$SYSLOG_ARGS -C$BUFFERSIZE"
+ LOG_LOCAL=1
+ elif [ "$D" = "file" ]; then
+ if [ -n "$LOGFILE" ]; then
+ SYSLOG_ARGS="$SYSLOG_ARGS -O $LOGFILE"
+ fi
+ if [ -n "$ROTATESIZE" ]; then
+ SYSLOG_ARGS="$SYSLOG_ARGS -s $ROTATESIZE"
+ fi
+ if [ -n "$ROTATEGENS" ]; then
+ SYSLOG_ARGS="$SYSLOG_ARGS -b $ROTATEGENS"
+ fi
+ LOCAL=0
+ elif [ "$D" = "remote" ]; then
+ SYSLOG_ARGS="$SYSLOG_ARGS -R $REMOTE"
+ LOG_REMOTE=1
+ fi
+ done
+ if [ "$LOG_LOCAL" = "1" -a "$LOG_REMOTE" = "1" ]; then
+ SYSLOG_ARGS="$SYSLOG_ARGS -L"
+ fi
+ if [ "$REDUCE" = "yes" ]; then
+ SYSLOG_ARGS="$SYSLOG_ARGS -S"
+ fi
+ if [ "$DROPDUPLICATES" = "yes" ]; then
+ SYSLOG_ARGS="$SYSLOG_ARGS -D"
+ fi
+ if [ -n "$LOGLEVEL" ]; then
+ SYSLOG_ARGS="$SYSLOG_ARGS -l $LOGLEVEL"
+ fi
+else
+ # default: log to 16K shm circular buffer
+ SYSLOG_ARGS="-C"
+fi
+
+case "$1" in
+ start)
+ echo -n "Starting syslogd/klogd: "
+ start-stop-daemon -S -b -n syslogd -a /sbin/syslogd -- -n $SYSLOG_ARGS
+ start-stop-daemon -S -b -n klogd -a /sbin/klogd -- -n
+ echo "done"
+ ;;
+ stop)
+ echo -n "Stopping syslogd/klogd: "
+ start-stop-daemon -K -n syslogd
+ start-stop-daemon -K -n klogd
+ echo "done"
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: syslog { start | stop | restart }" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/recipes-core-ivi/busybox/files/syslog-startup.conf b/recipes-core-ivi/busybox/files/syslog-startup.conf
index 6d35375..fda450a 100644
--- a/recipes-core-ivi/busybox/files/syslog-startup.conf
+++ b/recipes-core-ivi/busybox/files/syslog-startup.conf
@@ -1,13 +1,13 @@
-# This configuration file is used by the busybox syslog init script,
-# /etc/init.d/syslog[.busybox] to set syslog configuration at start time.
-
-DESTINATION=file # log destinations (buffer file remote)
-LOGFILE=/var/log/messages # where to log (file)
-REMOTE=loghost:514 # where to log (syslog remote)
-REDUCE=no # reduce-size logging
-DROPDUPLICATES=no # whether to drop duplicate log entries
-#ROTATESIZE=0 # rotate log if grown beyond X [kByte]
-#ROTATEGENS=3 # keep X generations of rotated logs
-BUFFERSIZE=64 # size of circular buffer [kByte]
-FOREGROUND=no # run in foreground (don't use!)
-#LOGLEVEL=5 # local log level (between 1 and 8)
+# This configuration file is used by the busybox syslog init script,
+# /etc/init.d/syslog[.busybox] to set syslog configuration at start time.
+
+DESTINATION=file # log destinations (buffer file remote)
+LOGFILE=/var/log/messages # where to log (file)
+REMOTE=loghost:514 # where to log (syslog remote)
+REDUCE=no # reduce-size logging
+DROPDUPLICATES=no # whether to drop duplicate log entries
+#ROTATESIZE=0 # rotate log if grown beyond X [kByte]
+#ROTATEGENS=3 # keep X generations of rotated logs
+BUFFERSIZE=64 # size of circular buffer [kByte]
+FOREGROUND=no # run in foreground (don't use!)
+#LOGLEVEL=5 # local log level (between 1 and 8)
diff --git a/recipes-core-ivi/busybox/files/umount.busybox b/recipes-core-ivi/busybox/files/umount.busybox
index 0f3e941..f373162 100644..100755
--- a/recipes-core-ivi/busybox/files/umount.busybox
+++ b/recipes-core-ivi/busybox/files/umount.busybox
@@ -1,3 +1,3 @@
-#!/bin/sh
-
-exec /bin/busybox umount $@
+#!/bin/sh
+
+exec /bin/busybox umount $@